function a = partialArea( m, vs )
%a = partialArea( m, vs )
%   Calculate the total area of all cells, all of whose vertexes are in the
%   set vs.

    vmap = false(size(m.nodes,1),1);
    vmap(vs) = true;
    cmap = any( vmap(m.tricellvxs), 2 );
    a = sum( m.cellareas(cmap) );
end
